package com.bipt.intelligentapplicationorchestrationservice.service;

import com.bipt.intelligentapplicationorchestrationservice.pojo.DatasetDTO;
import com.bipt.intelligentapplicationorchestrationservice.pojo.DatasetPageQueryDTO;
import com.bipt.intelligentapplicationorchestrationservice.pojo.PageResult;

import java.util.List;

/**
 * @author hky
 */
public interface DatasetService {
    void save(DatasetDTO datasetDTO);

    void update(DatasetDTO datasetDTO);

    PageResult pageQuery(DatasetPageQueryDTO dataSetPageQueryDTO);

    void deleteBatch(List<Long> datasetIds);
}
